Name:          mate-image-viewer
Version:       1.6.1
Release:       2%{?dist}
Summary:       Eye of MATE image viewer
License:       GPLv2+ and LGPLv2+ 
URL:           http://mate-desktop.org 
Source0:       http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz

# pull request at upstream
# https://github.com/mate-desktop/mate-image-viewer/pull/24
Patch0:        mate-image-viewer_python-libdir.patch

BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libexif)
BuildRequires: pkgconfig(exempi-2.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(mate-doc-utils)
BuildRequires: pkgconfig(mate-desktop-2.0)
BuildRequires: pkgconfig(lcms)
BuildRequires: pkgconfig(mate-icon-theme)
BuildRequires: pkgconfig(pygtk-2.0)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: libjpeg-turbo-devel
BuildRequires: desktop-file-utils
BuildRequires: mate-common

#fix rhbz (#1008249)
Requires:      mate-desktop-libs

%description
The Eye of MATE image viewer (eom) is the official image viewer for the
MATE desktop. It can view single image files in a variety of formats, as
well as large image collections.
Eye of Mate is extensible through a plugin system.

%package devel
Summary:  Support for developing plugins for the eom image viewer
Group:    Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}


%description devel
Development files for mate-image-viewer

%prep
%setup -q
%patch0 -p1 -b .python-libdir
autoreconf -i -f

%build
%configure \
   --disable-scrollkeeper \
   --disable-schemas-compile
           
make %{?_smp_mflags} V=1

%install
%{make_install}

desktop-file-install                               \
  --delete-original                                \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
$RPM_BUILD_ROOT%{_datadir}/applications/eom.desktop

find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'

%find_lang eom

# remove needless gsettings convert file
rm -f  $RPM_BUILD_ROOT%{_datadir}/MateConf/gsettings/eom.convert


%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
/bin/touch --no-create %{_datadir}/mate-image-viewer/icons/hicolor >&/dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ]; then
  /bin/touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
  /usr/bin/gtk-update-icon-cache %{_datadir}/mate-image-viewer/icons/hicolor >&/dev/null || :
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f eom.lang
%doc AUTHORS COPYING NEWS README
%{_mandir}/man1/*
%{_bindir}/eom
%dir %{_libdir}/eom
%dir %{_libdir}/eom/plugins
%{_libdir}/eom/plugins/*
%{_datadir}/applications/eom.desktop
%{_datadir}/mate/help/eom
%{_datadir}/omf/eom
%{_datadir}/icons/hicolor/*/apps/eom.*
%{_datadir}/glib-2.0/schemas/org.mate.eom.gschema.xml
%{_datadir}/gtk-doc/html/eom
%{_datadir}/mate-image-viewer

%files devel
%{_libdir}/pkgconfig/eom.pc
%{_includedir}/eom-2.20

%changelog
* Mon Sep 16 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-2
- add mate-desktop-libs runtime require, fix rhbz (#1008249)
- remove gsettings-desktop-schemas BR and runtime require
- add BR pkgconfig(zlib)
- cleanup BRs
- update descriptions
- use modern make install macro
- remove needless check for "*.a" files
- remove needless --with-gnome from find locale
- remove needless 'save space by linking identical images in translated docs'
- remove needless gsettings convert file
- fix rpm scriptlets
- add omf directory
- own directories
- add python-libdir patch

* Mon Jul 29 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.1-1
- Update to latest 1.6.1 stable release.

* Wed Apr 03 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.0-1
- Update to latest 1.6.0 stable release.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 1.5.0-3
- rebuild due to "jpeg8-ABI" feature drop

* Tue Nov 06 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-2
- Fix scriptlet mistake

* Mon Nov 05 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-1
- Initial build

